### File

`src/directives/mouseDownOutside.directive.ts`

### Metadata

selector | `[mouseDownOutside]`

### Index

###### Outputs
mouseDownOutside
###### HostListeners
document:mousedown

### Constructor

`constructor(elementRef: ElementRef)`
Parameters :
Name | Type | Optional
elementRef | `ElementRef` | no

### Outputs

`mouseDownOutside` | `$event` type: `EventEmitter<MouseEvent>`

### HostListeners

document:mousedown
Arguments : `'$event' '$event.target'`
`document:mousedown(event: MouseEvent, targetElement: HTMLElement)`

# results matching ""

# No results matching ""